<jsp:directive.page pageEncoding="UTF-8" />
select 
 dt.owner,
 dt.table_name,
 decode(dt.partitioned,'YES',dtp.partition_name||'('||dpt.partitioning_type||')','---') PARTITION_NAME,
 decode(dt.tablespace_name,NULL,'---',dt.tablespace_name) TABLESPACE_NAME,
 decode(dt.partitioned,'YES',dtp.tablespace_name,'---') PARTITION_TS
from 
 dba_tables dt,
 dba_tab_partitions dtp,
 dba_part_tables dpt
where dt.owner not in 
 ('SYS','SYSTEM','WMSYS','CTXSYS','MDSYS','ORDSYS','AURORA$JIS$UTILITY$','OSE$HTTP$ADMIN')
and dt.owner like '{@OWNER}%'
and dt.table_name not in (select table_name from dba_indexes di where di.table_name = dt.table_name)
and dt.table_name = dtp.table_name(+)
and dt.table_name = dpt.table_name(+)
order by dt.owner,dt.table_name
